<GASystemModel xmlns="http://www.geneauto.org/GASystemModel" xmlns:gadt="http://www.geneauto.org/GADataType" xmlns:gaxml="http://www.geneauto.org/GAXML" lastSavedBy="Xcos - " lastSavedOn="2012-1-16 7:23:36.999995" modelName="ABS" modelVersion="6.3" type="gaxml:model">
    <TransformationHistory type="gaxml:history">
        <Transformation readTime="2012-1-16 7:23:36.999995" toolName="Scicos" writeTime="2012-1-16 7:23:36.999995"/>
        <Transformation readTime="2012-04-25 17:52:28.582" toolName="TFMPreprocessor" writeTime="2012-04-25 17:52:28.946"/>
        <Transformation readTime="2012-04-25 17:52:29.051" toolName="TBlockSequencer_coq" writeTime="2012-04-25 17:52:29.204"/>
    </TransformationHistory>
    <SystemBlock directFeedThrough="true" id="1" isVirtual="false" name="ABS" sampleTime="0.0" type="SubSystem">
        <blocks type="gaxml:collection">
            <SourceBlock assignedPriority="1" assignedPrioritySource="GrLoc" directFeedThrough="true" executionOrder="1" id="2" isVirtual="false" name="B1" sampleTime="0.0" type="Constant">
                <outDataPorts type="gaxml:collection">
                    <OutDataPort id="11" portNumber="1"/>
                </outDataPorts>
                <parameters type="gaxml:collection">
                    <BlockParameter id="3" name="Value">
                        <value type="gaxml:object">
                            <ExpressionValue id="4">
                                <value type="gaxml:object">
                                    <RealExpression exponent="0" fractionalPart="0" id="5" integerPart="-1" isNegative="false" litValue="-1" scientificValue="false">
                                        <dataType type="gaxml:object">
                                            <TRealDouble id="6"/>
                                        </dataType>
                                    </RealExpression>
                                </value>
                            </ExpressionValue>
                        </value>
                    </BlockParameter>
                    <BlockParameter id="7" name="OutDataTypeMode">
                        <value type="gaxml:object">
                            <StringValue id="8" value="Inherit from 'Constant value'"/>
                        </value>
                    </BlockParameter>
                    <BlockParameter id="9" name="VectorParams1D">
                        <value type="gaxml:object">
                            <StringValue id="10" value="off"/>
                        </value>
                    </BlockParameter>
                </parameters>
                <diagramInfo type="gaxml:object">
                    <DiagramInfo positionX="205" positionY="360" sizeX="-115" sizeY="40"/>
                </diagramInfo>
            </SourceBlock>
            <CombinatorialBlock assignedPriority="2" assignedPrioritySource="GrLoc" directFeedThrough="true" executionOrder="2" id="12" isVirtual="false" name="B2" sampleTime="0.0" type="Abs">
                <inDataPorts type="gaxml:collection">
                    <InDataPort id="17" portNumber="1" relatedToInportBlock="true"/>
                </inDataPorts>
                <outDataPorts type="gaxml:collection">
                    <OutDataPort id="18" portNumber="1"/>
                </outDataPorts>
                <parameters type="gaxml:collection">
                    <BlockParameter id="13" name="Value">
                        <value type="gaxml:object">
                            <ExpressionValue id="14">
                                <value type="gaxml:object">
                                    <RealExpression exponent="0" fractionalPart="0" id="15" integerPart="1" isNegative="false" litValue="1" scientificValue="false">
                                        <dataType type="gaxml:object">
                                            <TRealDouble id="16"/>
                                        </dataType>
                                    </RealExpression>
                                </value>
                            </ExpressionValue>
                        </value>
                    </BlockParameter>
                </parameters>
                <diagramInfo type="gaxml:object">
                    <DiagramInfo positionX="306" positionY="360" sizeX="-14" sizeY="40"/>
                </diagramInfo>
            </CombinatorialBlock>
            <SinkBlock assignedPriority="3" assignedPrioritySource="GrLoc" directFeedThrough="true" executionOrder="3" id="19" isVirtual="false" name="B3" sampleTime="0.0" type="Outport">
                <inDataPorts type="gaxml:collection">
                    <InDataPort id="32" portNumber="1" relatedToInportBlock="true"/>
                </inDataPorts>
                <parameters type="gaxml:collection">
                    <BlockParameter id="30" name="Port">
                        <value type="gaxml:object">
                            <StringValue id="31" value="1"/>
                        </value>
                    </BlockParameter>
                    <BlockParameter id="20" name="DataType">
                        <value type="gaxml:object">
                            <StringValue id="21" value="auto"/>
                        </value>
                    </BlockParameter>
                    <BlockParameter id="22" name="InitialOutput">
                        <value type="gaxml:object">
                            <ExpressionValue id="23"/>
                        </value>
                    </BlockParameter>
                    <BlockParameter id="24" name="PortDimensions">
                        <value type="gaxml:object">
                            <ExpressionValue id="25">
                                <value type="gaxml:object">
                                    <IntegerExpression exponent="0" hexValue="false" id="26" integerPart="1" isNegative="true" litValue="-1" scientificValue="false">
                                        <dataType type="gaxml:object">
                                            <TRealInteger id="27" nBits="8" signed="true"/>
                                        </dataType>
                                    </IntegerExpression>
                                </value>
                            </ExpressionValue>
                        </value>
                    </BlockParameter>
                    <BlockParameter id="28" name="OutputWhenDisabled">
                        <value type="gaxml:object">
                            <StringValue id="29" value="held"/>
                        </value>
                    </BlockParameter>
                </parameters>
                <diagramInfo type="gaxml:object">
                    <DiagramInfo positionX="374" positionY="380" sizeX="14" sizeY="20"/>
                </diagramInfo>
                <portReference type="gaxml:pointer">35</portReference>
            </SinkBlock>
        </blocks>
        <signals type="gaxml:collection">
            <Signal id="33">
                <srcPort type="gaxml:pointer">11</srcPort>
                <dstPort type="gaxml:pointer">17</dstPort>
            </Signal>
            <Signal id="34">
                <srcPort type="gaxml:pointer">18</srcPort>
                <dstPort type="gaxml:pointer">32</dstPort>
            </Signal>
        </signals>
        <style type="gaxml:object">
            <FunctionStyle name="FUNCTION" ordinal="0" type="gaxml:enum"/>
        </style>
        <outDataPorts type="gaxml:collection">
            <OutDataPort id="35" name="B3" portNumber="1">
                <initialOutput type="gaxml:object">
                    <ExpressionValue id="36"/>
                </initialOutput>
                <sourceBlock type="gaxml:pointer">19</sourceBlock>
            </OutDataPort>
        </outDataPorts>
        <diagramInfo type="gaxml:object">
            <DiagramInfo positionX="0" positionY="0"/>
        </diagramInfo>
    </SystemBlock>
</GASystemModel>
